import "../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import { shapes } from "./config.mjs";
import SettingItem from "../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.mjs";
import SettingItemBox from "../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.mjs";
import _sfc_main$1 from "../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.mjs";
import "../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.mjs";
import "../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.mjs";
import "../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.mjs";
import "../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.mjs";
import "../../../../../enums/pageEnum.mjs";
import "../../../../../router/index.mjs";
import "../../../../../store/modules/designStore/designStore.mjs";
import "../../../../../settings/designSetting.mjs";
import "../../../../../components/GoLoading/index.mjs";
import "../../../../../components/GoSkeleton/index.vue.mjs";
import "../../../../../store/modules/chartEditStore/chartEditStore.mjs";
import "../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.mjs";
import { defineComponent, computed, resolveComponent, openBlock, createElementBlock, renderList, createBlock, withCtx, createVNode, Fragment } from "../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { unref } from "../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const seriesList = computed(() => {
      return props.optionData.series;
    });
    return (_ctx, _cache) => {
      const _component_n_input_number = resolveComponent("n-input-number");
      const _component_n_select = resolveComponent("n-select");
      const _component_n_color_picker = resolveComponent("n-color-picker");
      return openBlock(true), createElementBlock(Fragment, null, renderList(seriesList.value, (item, index) => {
        return openBlock(), createBlock(unref(_sfc_main$1), {
          key: index,
          name: "水球",
          expanded: true
        }, {
          default: withCtx(() => [
            createVNode(unref(SettingItemBox), { name: "内容" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "数值" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: item.data[0],
                      "onUpdate:value": ($event) => item.data[0] = $event,
                      min: 0,
                      step: 0.01,
                      size: "small",
                      placeholder: "水球数值"
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024),
                createVNode(unref(SettingItem), { name: "形状" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_select, {
                      value: item.shape,
                      "onUpdate:value": ($event) => item.shape = $event,
                      options: unref(shapes),
                      placeholder: "选择形状"
                    }, null, 8, ["value", "onUpdate:value", "options"])
                  ]),
                  _: 2
                }, 1024),
                createVNode(unref(SettingItem), { name: "文本" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: item.label.normal.textStyle.fontSize,
                      "onUpdate:value": ($event) => item.label.normal.textStyle.fontSize = $event,
                      min: 0,
                      step: 1,
                      size: "small",
                      placeholder: "文字大小"
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024),
                createVNode(unref(SettingItem), { name: "颜色1" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: item.color[0].colorStops[0].color,
                      "onUpdate:value": ($event) => item.color[0].colorStops[0].color = $event
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024),
                createVNode(unref(SettingItem), { name: "颜色2" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: item.color[0].colorStops[1].color,
                      "onUpdate:value": ($event) => item.color[0].colorStops[1].color = $event
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024)
              ]),
              _: 2
            }, 1024),
            createVNode(unref(SettingItemBox), {
              name: "背景",
              alone: true
            }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), null, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: item.backgroundStyle.color,
                      "onUpdate:value": ($event) => item.backgroundStyle.color = $event
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024)
              ]),
              _: 2
            }, 1024)
          ]),
          _: 2
        }, 1024);
      }), 128);
    };
  }
});
export {
  _sfc_main as default
};
